Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Horn

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.blocks.NullWithShaderNode
                          de.grogra.blocks.Horn

All Implemented Interfaces:
  Transformation, Pickable, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class Horn

extends NullWithShaderNode
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `flap1$FIELD`
`static Node.NType.Field` | `flap2$FIELD`
`static Node.NType.Field` | `flapMode$FIELD`
`static Node.NType.Field` | `geometry$FIELD`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `length$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `lod$FIELD`
`static Node.NType.Field` | `numberPerSeg$FIELD`
`static Node.NType.Field` | `profile$FIELD`
`static Node.NType.Field` | `range1$FIELD`
`static Node.NType.Field` | `range2$FIELD`
`static Node.NType.Field` | `rangeMode$FIELD`
`static Node.NType.Field` | `rotEndAngle$FIELD`
`static Node.NType.Field` | `rotX1$FIELD`
`static Node.NType.Field` | `rotX2$FIELD`
`static Node.NType.Field` | `rotXMode$FIELD`
`static Node.NType.Field` | `rotY1$FIELD`
`static Node.NType.Field` | `rotY2$FIELD`
`static Node.NType.Field` | `rotYMode$FIELD`
`static Node.NType.Field` | `rotZ1$FIELD`
`static Node.NType.Field` | `rotZ2$FIELD`
`static Node.NType.Field` | `rotZMode$FIELD`
`static Node.NType.Field` | `scale1$FIELD`
`static Node.NType.Field` | `scale2$FIELD`
`static Node.NType.Field` | `scaleMode$FIELD`
`static Node.NType.Field` | `screw1$FIELD`
`static Node.NType.Field` | `screw2$FIELD`
`static Node.NType.Field` | `screwMode$FIELD`
`static Node.NType.Field` | `segments$FIELD`
`static Node.NType.Field` | `shape$FIELD`
`static Node.NType.Field` | `steps1$FIELD`
`static Node.NType.Field` | `steps2$FIELD`
`static Node.NType.Field` | `stepsMode$FIELD`
`static Node.NType.Field` | `top$FIELD`
`static Node.NType.Field` | `transX1$FIELD`
`static Node.NType.Field` | `transX2$FIELD`
`static Node.NType.Field` | `transXMode$FIELD`
`static Node.NType.Field` | `transY1$FIELD`
`static Node.NType.Field` | `transY2$FIELD`
`static Node.NType.Field` | `transYMode$FIELD`
`static Node.NType.Field` | `transZ1$FIELD`
`static Node.NType.Field` | `transZ2$FIELD`
`static Node.NType.Field` | `transZMode$FIELD`
`static Node.NType.Field` | `useShape$FIELD`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Horn()`
`Horn(float n)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAbsoluteHeight()`
`int` | `getChildId()`
`float` | `getDensity()`
`float` | `getFlap1()`
`float` | `getFlap2()`
`FloatToFloat` | `getFlapMode()`
`Instantiator` | `getInstantiator()`
`float` | `getLength()`
`float` | `getLocalHeight()`
`LocationParameterBase` | `getLocationParameter()`
`HornLOD` | `getLod()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`float` | `getNumberPerSeg()`
`int` | `getParentId()`
`BSplineCurve` | `getProfile()`
`float` | `getRange1()`
`float` | `getRange2()`
`FloatToFloat` | `getRangeMode()`
`float` | `getRotEndAngle()`
`float` | `getRotX1()`
`float` | `getRotX2()`
`FloatToFloat` | `getRotXMode()`
`float` | `getRotY1()`
`float` | `getRotY2()`
`FloatToFloat` | `getRotYMode()`
`float` | `getRotZ1()`
`float` | `getRotZ2()`
`FloatToFloat` | `getRotZMode()`
`float` | `getScale1()`
`float` | `getScale2()`
`FloatToFloat` | `getScaleMode()`
`float` | `getScrew1()`
`float` | `getScrew2()`
`FloatToFloat` | `getScrewMode()`
`float` | `getSegments()`
`FloatToFloat` | `getShape()`
`float` | `getSteps1()`
`float` | `getSteps2()`
`FloatToFloat` | `getStepsMode()`
`int` | `getThisId()`
`float` | `getTransX1()`
`float` | `getTransX2()`
`FloatToFloat` | `getTransXMode()`
`float` | `getTransY1()`
`float` | `getTransY2()`
`FloatToFloat` | `getTransYMode()`
`float` | `getTransZ1()`
`float` | `getTransZ2()`
`FloatToFloat` | `getTransZMode()`
`void` | `instantiate(Instantiation state)`
`boolean` | `isGeometry()`
`boolean` | `isInitAll()`
`boolean` | `isTop()`
`boolean` | `isUseShape()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setFlap(double value1, double value2)`
`void` | `setFlap(java.lang.String value1, java.lang.String value2)`
`void` | `setFlap1(CustomFunction value)`
`void` | `setFlap1(double value)`
`void` | `setFlap1(java.lang.String value)`
`void` | `setFlap2(CustomFunction value)`
`void` | `setFlap2(double value)`
`void` | `setFlap2(java.lang.String value)`
`void` | `setFlapMode(FloatToFloat value)`
`void` | `setGeometry(boolean value)`
`void` | `setInitAll(boolean value)`
`void` | `setLength(CustomFunction value)`
`void` | `setLength(double value)`
`void` | `setLength(java.lang.String value)`
`void` | `setLocationParameter(LocationParameterBase value)`
`void` | `setLod(HornLOD value)`
`void` | `setNumberPerSeg(CustomFunction value)`
`void` | `setNumberPerSeg(double value)`
`void` | `setNumberPerSeg(java.lang.String value)`
`void` | `setProfile(BSplineCurve value)`
`void` | `setRange(double value1, double value2)`
`void` | `setRange(java.lang.String value1, java.lang.String value2)`
`void` | `setRange1(CustomFunction value)`
`void` | `setRange1(double value)`
`void` | `setRange1(java.lang.String value)`
`void` | `setRange2(CustomFunction value)`
`void` | `setRange2(double value)`
`void` | `setRange2(java.lang.String value)`
`void` | `setRangeMode(FloatToFloat value)`
`void` | `setRotEndAngle(CustomFunction value)`
`void` | `setRotEndAngle(double value)`
`void` | `setRotEndAngle(java.lang.String value)`
`void` | `setRotX(double value1, double value2)`
`void` | `setRotX(java.lang.String value1, java.lang.String value2)`
`void` | `setRotX1(CustomFunction value)`
`void` | `setRotX1(double value)`
`void` | `setRotX1(java.lang.String value)`
`void` | `setRotX2(CustomFunction value)`
`void` | `setRotX2(double value)`
`void` | `setRotX2(java.lang.String value)`
`void` | `setRotXMode(FloatToFloat value)`
`void` | `setRotY(double value1, double value2)`
`void` | `setRotY(java.lang.String value1, java.lang.String value2)`
`void` | `setRotY1(CustomFunction value)`
`void` | `setRotY1(double value)`
`void` | `setRotY1(java.lang.String value)`
`void` | `setRotY2(CustomFunction value)`
`void` | `setRotY2(double value)`
`void` | `setRotY2(java.lang.String value)`
`void` | `setRotYMode(FloatToFloat value)`
`void` | `setRotZ(double value1, double value2)`
`void` | `setRotZ(java.lang.String value1, java.lang.String value2)`
`void` | `setRotZ1(CustomFunction value)`
`void` | `setRotZ1(double value)`
`void` | `setRotZ1(java.lang.String value)`
`void` | `setRotZ2(CustomFunction value)`
`void` | `setRotZ2(double value)`
`void` | `setRotZ2(java.lang.String value)`
`void` | `setRotZMode(FloatToFloat value)`
`void` | `setScale(double value1, double value2)`
`void` | `setScale(java.lang.String value1, java.lang.String value2)`
`void` | `setScale1(CustomFunction value)`
`void` | `setScale1(double value)`
`void` | `setScale1(java.lang.String value)`
`void` | `setScale2(CustomFunction value)`
`void` | `setScale2(double value)`
`void` | `setScale2(java.lang.String value)`
`void` | `setScaleMode(FloatToFloat value)`
`void` | `setScrew(double value1, double value2)`
`void` | `setScrew(java.lang.String value1, java.lang.String value2)`
`void` | `setScrew1(CustomFunction value)`
`void` | `setScrew1(double value)`
`void` | `setScrew1(java.lang.String value)`
`void` | `setScrew2(CustomFunction value)`
`void` | `setScrew2(double value)`
`void` | `setScrew2(java.lang.String value)`
`void` | `setScrewMode(FloatToFloat value)`
`void` | `setSegments(CustomFunction value)`
`void` | `setSegments(double value)`
`void` | `setSegments(java.lang.String value)`
`void` | `setShape(FloatToFloat value)`
`void` | `setSteps(double value1, double value2)`
`void` | `setSteps(java.lang.String value1, java.lang.String value2)`
`void` | `setSteps1(CustomFunction value)`
`void` | `setSteps1(double value)`
`void` | `setSteps1(java.lang.String value)`
`void` | `setSteps2(CustomFunction value)`
`void` | `setSteps2(double value)`
`void` | `setSteps2(java.lang.String value)`
`void` | `setStepsMode(FloatToFloat value)`
`void` | `setTop(boolean value)`
`void` | `setTransX(double value1, double value2)`
`void` | `setTransX(java.lang.String value1, java.lang.String value2)`
`void` | `setTransX1(CustomFunction value)`
`void` | `setTransX1(double value)`
`void` | `setTransX1(java.lang.String value)`
`void` | `setTransX2(CustomFunction value)`
`void` | `setTransX2(double value)`
`void` | `setTransX2(java.lang.String value)`
`void` | `setTransXMode(FloatToFloat value)`
`void` | `setTransY(double value1, double value2)`
`void` | `setTransY(java.lang.String value1, java.lang.String value2)`
`void` | `setTransY1(CustomFunction value)`
`void` | `setTransY1(double value)`
`void` | `setTransY1(java.lang.String value)`
`void` | `setTransY2(CustomFunction value)`
`void` | `setTransY2(double value)`
`void` | `setTransY2(java.lang.String value)`
`void` | `setTransYMode(FloatToFloat value)`
`void` | `setTransZ(double value1, double value2)`
`void` | `setTransZ(java.lang.String value1, java.lang.String value2)`
`void` | `setTransZ1(CustomFunction value)`
`void` | `setTransZ1(double value)`
`void` | `setTransZ1(java.lang.String value)`
`void` | `setTransZ2(CustomFunction value)`
`void` | `setTransZ2(double value)`
`void` | `setTransZ2(java.lang.String value)`
`void` | `setTransZMode(FloatToFloat value)`
`void` | `setUseShape(boolean value)`
`void` | `useLod(boolean value)`

Methods inherited from class de.grogra.blocks.NullWithShaderNode
`draw, pick`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, getSymbolColor, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### flap1$FIELD

    public static final Node.NType.Field flap1$FIELD

### flap2$FIELD

    public static final Node.NType.Field flap2$FIELD

### flapMode$FIELD

    public static final Node.NType.Field flapMode$FIELD

### geometry$FIELD

    public static final Node.NType.Field geometry$FIELD

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### length$FIELD

    public static final Node.NType.Field length$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### lod$FIELD

    public static final Node.NType.Field lod$FIELD

### numberPerSeg$FIELD

    public static final Node.NType.Field numberPerSeg$FIELD

### profile$FIELD

    public static final Node.NType.Field profile$FIELD

### range1$FIELD

    public static final Node.NType.Field range1$FIELD

### range2$FIELD

    public static final Node.NType.Field range2$FIELD

### rangeMode$FIELD

    public static final Node.NType.Field rangeMode$FIELD

### rotEndAngle$FIELD

    public static final Node.NType.Field rotEndAngle$FIELD

### rotX1$FIELD

    public static final Node.NType.Field rotX1$FIELD

### rotX2$FIELD

    public static final Node.NType.Field rotX2$FIELD

### rotXMode$FIELD

    public static final Node.NType.Field rotXMode$FIELD

### rotY1$FIELD

    public static final Node.NType.Field rotY1$FIELD

### rotY2$FIELD

    public static final Node.NType.Field rotY2$FIELD

### rotYMode$FIELD

    public static final Node.NType.Field rotYMode$FIELD

### rotZ1$FIELD

    public static final Node.NType.Field rotZ1$FIELD

### rotZ2$FIELD

    public static final Node.NType.Field rotZ2$FIELD

### rotZMode$FIELD

    public static final Node.NType.Field rotZMode$FIELD

### scale1$FIELD

    public static final Node.NType.Field scale1$FIELD

### scale2$FIELD

    public static final Node.NType.Field scale2$FIELD

### scaleMode$FIELD

    public static final Node.NType.Field scaleMode$FIELD

### screw1$FIELD

    public static final Node.NType.Field screw1$FIELD

### screw2$FIELD

    public static final Node.NType.Field screw2$FIELD

### screwMode$FIELD

    public static final Node.NType.Field screwMode$FIELD

### segments$FIELD

    public static final Node.NType.Field segments$FIELD

### shape$FIELD

    public static final Node.NType.Field shape$FIELD

### steps1$FIELD

    public static final Node.NType.Field steps1$FIELD

### steps2$FIELD

    public static final Node.NType.Field steps2$FIELD

### stepsMode$FIELD

    public static final Node.NType.Field stepsMode$FIELD

### top$FIELD

    public static final Node.NType.Field top$FIELD

### transX1$FIELD

    public static final Node.NType.Field transX1$FIELD

### transX2$FIELD

    public static final Node.NType.Field transX2$FIELD

### transXMode$FIELD

    public static final Node.NType.Field transXMode$FIELD

### transY1$FIELD

    public static final Node.NType.Field transY1$FIELD

### transY2$FIELD

    public static final Node.NType.Field transY2$FIELD

### transYMode$FIELD

    public static final Node.NType.Field transYMode$FIELD

### transZ1$FIELD

    public static final Node.NType.Field transZ1$FIELD

### transZ2$FIELD

    public static final Node.NType.Field transZ2$FIELD

### transZMode$FIELD

    public static final Node.NType.Field transZMode$FIELD

### useShape$FIELD

    public static final Node.NType.Field useShape$FIELD

Constructor Detail

### Horn

    public Horn()

### Horn

    public Horn(float n)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getChildId

    public int getChildId()

### getDensity

    public float getDensity()

### getFlap1

    public float getFlap1()

### getFlap2

    public float getFlap2()

### getFlapMode

    public FloatToFloat getFlapMode()

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLength

    public float getLength()

### getLocalHeight

    public float getLocalHeight()

### getLocationParameter

    public LocationParameterBase getLocationParameter()

### getLod

    public HornLOD getLod()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `NullWithShaderNode`
  Returns:
    type describing the managed fields of the class of this node

### getNumberPerSeg

    public float getNumberPerSeg()

### getParentId

    public int getParentId()

### getProfile

    public BSplineCurve getProfile()

### getRange1

    public float getRange1()

### getRange2

    public float getRange2()

### getRangeMode

    public FloatToFloat getRangeMode()

### getRotEndAngle

    public float getRotEndAngle()

### getRotX1

    public float getRotX1()

### getRotX2

    public float getRotX2()

### getRotXMode

    public FloatToFloat getRotXMode()

### getRotY1

    public float getRotY1()

### getRotY2

    public float getRotY2()

### getRotYMode

    public FloatToFloat getRotYMode()

### getRotZ1

    public float getRotZ1()

### getRotZ2

    public float getRotZ2()

### getRotZMode

    public FloatToFloat getRotZMode()

### getScale1

    public float getScale1()

### getScale2

    public float getScale2()

### getScaleMode

    public FloatToFloat getScaleMode()

### getScrew1

    public float getScrew1()

### getScrew2

    public float getScrew2()

### getScrewMode

    public FloatToFloat getScrewMode()

### getSegments

    public float getSegments()

### getShape

    public FloatToFloat getShape()

### getSteps1

    public float getSteps1()

### getSteps2

    public float getSteps2()

### getStepsMode

    public FloatToFloat getStepsMode()

### getThisId

    public int getThisId()

### getTransX1

    public float getTransX1()

### getTransX2

    public float getTransX2()

### getTransXMode

    public FloatToFloat getTransXMode()

### getTransY1

    public float getTransY1()

### getTransY2

    public float getTransY2()

### getTransYMode

    public FloatToFloat getTransYMode()

### getTransZ1

    public float getTransZ1()

### getTransZ2

    public float getTransZ2()

### getTransZMode

    public FloatToFloat getTransZMode()

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isGeometry

    public boolean isGeometry()

### isInitAll

    public boolean isInitAll()

### isTop

    public boolean isTop()

### isUseShape

    public boolean isUseShape()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `NullWithShaderNode`
  Returns:
    new instance of class of this node

### setFlap

    public void setFlap(double value1,
                        double value2)

### setFlap

    public void setFlap(java.lang.String value1,
                        java.lang.String value2)

### setFlap1

    public void setFlap1(CustomFunction value)

### setFlap1

    public void setFlap1(double value)

### setFlap1

    public void setFlap1(java.lang.String value)

### setFlap2

    public void setFlap2(CustomFunction value)

### setFlap2

    public void setFlap2(double value)

### setFlap2

    public void setFlap2(java.lang.String value)

### setFlapMode

    public void setFlapMode(FloatToFloat value)

### setGeometry

    public void setGeometry(boolean value)

### setInitAll

    public void setInitAll(boolean value)

### setLength

    public void setLength(CustomFunction value)

### setLength

    public void setLength(double value)

### setLength

    public void setLength(java.lang.String value)

### setLocationParameter

    public void setLocationParameter(LocationParameterBase value)

### setLod

    public void setLod(HornLOD value)

### setNumberPerSeg

    public void setNumberPerSeg(CustomFunction value)

### setNumberPerSeg

    public void setNumberPerSeg(double value)

### setNumberPerSeg

    public void setNumberPerSeg(java.lang.String value)

### setProfile

    public void setProfile(BSplineCurve value)

### setRange

    public void setRange(double value1,
                         double value2)

### setRange

    public void setRange(java.lang.String value1,
                         java.lang.String value2)

### setRange1

    public void setRange1(CustomFunction value)

### setRange1

    public void setRange1(double value)

### setRange1

    public void setRange1(java.lang.String value)

### setRange2

    public void setRange2(CustomFunction value)

### setRange2

    public void setRange2(double value)

### setRange2

    public void setRange2(java.lang.String value)

### setRangeMode

    public void setRangeMode(FloatToFloat value)

### setRotEndAngle

    public void setRotEndAngle(CustomFunction value)

### setRotEndAngle

    public void setRotEndAngle(double value)

### setRotEndAngle

    public void setRotEndAngle(java.lang.String value)

### setRotX

    public void setRotX(double value1,
                        double value2)

### setRotX

    public void setRotX(java.lang.String value1,
                        java.lang.String value2)

### setRotX1

    public void setRotX1(CustomFunction value)

### setRotX1

    public void setRotX1(double value)

### setRotX1

    public void setRotX1(java.lang.String value)

### setRotX2

    public void setRotX2(CustomFunction value)

### setRotX2

    public void setRotX2(double value)

### setRotX2

    public void setRotX2(java.lang.String value)

### setRotXMode

    public void setRotXMode(FloatToFloat value)

### setRotY

    public void setRotY(double value1,
                        double value2)

### setRotY

    public void setRotY(java.lang.String value1,
                        java.lang.String value2)

### setRotY1

    public void setRotY1(CustomFunction value)

### setRotY1

    public void setRotY1(double value)

### setRotY1

    public void setRotY1(java.lang.String value)

### setRotY2

    public void setRotY2(CustomFunction value)

### setRotY2

    public void setRotY2(double value)

### setRotY2

    public void setRotY2(java.lang.String value)

### setRotYMode

    public void setRotYMode(FloatToFloat value)

### setRotZ

    public void setRotZ(double value1,
                        double value2)

### setRotZ

    public void setRotZ(java.lang.String value1,
                        java.lang.String value2)

### setRotZ1

    public void setRotZ1(CustomFunction value)

### setRotZ1

    public void setRotZ1(double value)

### setRotZ1

    public void setRotZ1(java.lang.String value)

### setRotZ2

    public void setRotZ2(CustomFunction value)

### setRotZ2

    public void setRotZ2(double value)

### setRotZ2

    public void setRotZ2(java.lang.String value)

### setRotZMode

    public void setRotZMode(FloatToFloat value)

### setScale

    public void setScale(double value1,
                         double value2)

### setScale

    public void setScale(java.lang.String value1,
                         java.lang.String value2)

### setScale1

    public void setScale1(CustomFunction value)

### setScale1

    public void setScale1(double value)

### setScale1

    public void setScale1(java.lang.String value)

### setScale2

    public void setScale2(CustomFunction value)

### setScale2

    public void setScale2(double value)

### setScale2

    public void setScale2(java.lang.String value)

### setScaleMode

    public void setScaleMode(FloatToFloat value)

### setScrew

    public void setScrew(double value1,
                         double value2)

### setScrew

    public void setScrew(java.lang.String value1,
                         java.lang.String value2)

### setScrew1

    public void setScrew1(CustomFunction value)

### setScrew1

    public void setScrew1(double value)

### setScrew1

    public void setScrew1(java.lang.String value)

### setScrew2

    public void setScrew2(CustomFunction value)

### setScrew2

    public void setScrew2(double value)

### setScrew2

    public void setScrew2(java.lang.String value)

### setScrewMode

    public void setScrewMode(FloatToFloat value)

### setSegments

    public void setSegments(CustomFunction value)

### setSegments

    public void setSegments(double value)

### setSegments

    public void setSegments(java.lang.String value)

### setShape

    public void setShape(FloatToFloat value)

### setSteps

    public void setSteps(double value1,
                         double value2)

### setSteps

    public void setSteps(java.lang.String value1,
                         java.lang.String value2)

### setSteps1

    public void setSteps1(CustomFunction value)

### setSteps1

    public void setSteps1(double value)

### setSteps1

    public void setSteps1(java.lang.String value)

### setSteps2

    public void setSteps2(CustomFunction value)

### setSteps2

    public void setSteps2(double value)

### setSteps2

    public void setSteps2(java.lang.String value)

### setStepsMode

    public void setStepsMode(FloatToFloat value)

### setTop

    public void setTop(boolean value)

### setTransX

    public void setTransX(double value1,
                          double value2)

### setTransX

    public void setTransX(java.lang.String value1,
                          java.lang.String value2)

### setTransX1

    public void setTransX1(CustomFunction value)

### setTransX1

    public void setTransX1(double value)

### setTransX1

    public void setTransX1(java.lang.String value)

### setTransX2

    public void setTransX2(CustomFunction value)

### setTransX2

    public void setTransX2(double value)

### setTransX2

    public void setTransX2(java.lang.String value)

### setTransXMode

    public void setTransXMode(FloatToFloat value)

### setTransY

    public void setTransY(double value1,
                          double value2)

### setTransY

    public void setTransY(java.lang.String value1,
                          java.lang.String value2)

### setTransY1

    public void setTransY1(CustomFunction value)

### setTransY1

    public void setTransY1(double value)

### setTransY1

    public void setTransY1(java.lang.String value)

### setTransY2

    public void setTransY2(CustomFunction value)

### setTransY2

    public void setTransY2(double value)

### setTransY2

    public void setTransY2(java.lang.String value)

### setTransYMode

    public void setTransYMode(FloatToFloat value)

### setTransZ

    public void setTransZ(double value1,
                          double value2)

### setTransZ

    public void setTransZ(java.lang.String value1,
                          java.lang.String value2)

### setTransZ1

    public void setTransZ1(CustomFunction value)

### setTransZ1

    public void setTransZ1(double value)

### setTransZ1

    public void setTransZ1(java.lang.String value)

### setTransZ2

    public void setTransZ2(CustomFunction value)

### setTransZ2

    public void setTransZ2(double value)

### setTransZ2

    public void setTransZ2(java.lang.String value)

### setTransZMode

    public void setTransZMode(FloatToFloat value)

### setUseShape

    public void setUseShape(boolean value)

### useLod

    public void useLod(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD